Author Topic: Rotating Blocks leaving attributes  (Read 7348 times)

0 Members and 1 Guest are viewing this topic.

rhott

  • Guest
Rotating Blocks leaving attributes
« on: July 14, 2004, 01:17:29 PM »
I need to find a way to rotate a block without making the attributes inlegible.  Is this possible?

VerticalMojo

  • Guest
Rotating Blocks leaving attributes
« Reply #1 on: July 14, 2004, 02:01:48 PM »
Are you talking about rotating the block and not the attributes?

This macro rotates the attributes to the correct position, then allows you to move it.....

^C^C-ate;YES;;;;\;ANGLE 0;POSITION;\;

rhott

  • Guest
ok
« Reply #2 on: July 14, 2004, 02:10:53 PM »
Wow, how could somthing I've been trying to do for so long be so very easy.

One more question. :?:
When I used to insert a block with attributes a dialog box would pop up so I could enter in the variables.  This no longer happens, the attributes all go to default. I'm sure this is just a setting I've missed or forgotten but I really need help this is taking forever!!

Thank a ton for your help!!

SMadsen

  • Guest
Rotating Blocks leaving attributes
« Reply #3 on: July 14, 2004, 02:18:43 PM »
try attreq

Sitra

  • Guest
Rotating Blocks leaving attributes
« Reply #4 on: July 14, 2004, 02:22:37 PM »
Try CMDDIA and set it to (1).

VerticalMojo

  • Guest
Rotating Blocks leaving attributes
« Reply #5 on: July 14, 2004, 02:24:13 PM »
Quote from: SMadsen
try attreq


I believe SMadsen is correct.....

VerticalMojo

  • Guest
Rotating Blocks leaving attributes
« Reply #6 on: July 14, 2004, 02:28:33 PM »
Quote from: Conrad
Try CMDDIA and set it to (1).


what does CMDDIA do? I tried to look it up and there was no info on it....

SMadsen

  • Guest
Rotating Blocks leaving attributes
« Reply #7 on: July 14, 2004, 02:30:38 PM »
It depends what the problem is
ATTREQ controls if attributes should be filled in at insertion or simply use the default settings without prompting.

ATTDIA controls dialog entry or text screen entry (given that ATTREQ is 1)

Maybe it's a combination of the two that's a problem?

Sitra

  • Guest
Rotating Blocks leaving attributes
« Reply #8 on: July 14, 2004, 02:33:10 PM »
Quote from: VerticalMojo
Quote from: Conrad
Try CMDDIA and set it to (1).


what does CMDDIA do? I tried to look it up and there was no info on it....


This is the info I got on CMDDIA:

How do I make my dialog boxes reappear?
A system variable named CMDDIA (command dialog) controls the display of many dialog boxes. Setting CMDDIA to 0 disables the display of these dialog boxes, forcing input from the command line. Set CMDDIA to 1 to have the dialog boxes display normally.

SMadsen

  • Guest
Rotating Blocks leaving attributes
« Reply #9 on: July 14, 2004, 02:35:02 PM »
CMDDIA used to control display of the plot dialog (and some old database dialogs).

Can't remember if it  was already obsolete before 2005 but from 2005 it definately is.

Sitra

  • Guest
Rotating Blocks leaving attributes
« Reply #10 on: July 14, 2004, 02:47:04 PM »
Don't know what happened got info from here:

http://www.ccadinc.com/faq/faq.html#filedia

rhott

  • Guest
WOW
« Reply #11 on: July 14, 2004, 03:54:08 PM »
:lol:  :o   Goodness what alot of information!  You're all terrific!

As much as I hate to do this... the ATTREQ is what did the job
it's exactly what I was missing.
Thanks for all of your help today!!

hyposmurf

  • Guest
Rotating Blocks leaving attributes
« Reply #12 on: July 15, 2004, 07:55:24 AM »
Maybe I should start another psot for this but its a very similar question.Does anyone know how I would select a number of attributes in a drawing at once and set all their attributes to 0 degrees,without going through them all individually?Cant select the attributes rotation via the properties window.

SMadsen

  • Guest
Rotating Blocks leaving attributes
« Reply #13 on: July 15, 2004, 08:24:08 AM »
That could be done with a small routine. How would you want to select the attributes?

daron

  • Guest
Rotating Blocks leaving attributes
« Reply #14 on: July 15, 2004, 08:50:56 AM »
Just set the ssget function to accept any type of selection with some filters for blocks with attributes, then change the property for rotation to 0. I belive the dxf code is 50, but I'm not looking so I could be wrong.

hyposmurf

  • Guest
Rotating Blocks leaving attributes
« Reply #15 on: July 15, 2004, 09:04:54 AM »
Was hoping for the user to individually select the attributes as they will be different types of attributes attached to different blocks.

daron

  • Guest
Rotating Blocks leaving attributes
« Reply #16 on: July 15, 2004, 12:53:51 PM »
Here's your selection method:
Code: [Select]
(setq ss (ssget '((0 . "INSERT") (66 . 1))))
That will only allow you to select blocks with attributes. If you type all it will select all blocks with attributes and nothing more or less. Use ssname and entget to get into the dxf listing.

HS, is this something you're trying to do or just want done?

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Rotating Blocks leaving attributes
« Reply #17 on: July 15, 2004, 12:58:06 PM »
Well, I have a proggie that allows the user to change a heap of things with attributes...it is too big to post as code, so I will post the VLX in the lilly pond and let you know when you can get it...
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

hyposmurf

  • Guest
Rotating Blocks leaving attributes
« Reply #18 on: July 15, 2004, 04:49:36 PM »
Thanks Keith appreciate it,I'll now have to figure how to use VLX,before you post it. :)

daron

  • Guest
Rotating Blocks leaving attributes
« Reply #19 on: July 16, 2004, 08:22:44 AM »
vlx is the same as a lisp, but you don't see the source code. You load it and type the command name. Keith'll have to tell you the command name.

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Rotating Blocks leaving attributes
« Reply #20 on: July 16, 2004, 11:11:23 AM »
Ok it took me forever and a day, but here it is...

http://www.theswamp.org/lilly.pond/KEB/ModattRel.VLX
The command is MODATT
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

hyposmurf

  • Guest
Rotating Blocks leaving attributes
« Reply #21 on: July 20, 2004, 07:52:08 AM »
Nice,works like a treat Keith :dood:.Kind of what the global attribute editor shouldve been.

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Rotating Blocks leaving attributes
« Reply #22 on: July 20, 2004, 09:39:22 AM »
thanks... when I get some more time, I am considering adding a few more options to manipulate attributes, including adding and removing attributes to/from selected blocks
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

hyposmurf

  • Guest
Rotating Blocks leaving attributes
« Reply #23 on: August 26, 2004, 08:31:34 AM »
Used the modatt vlx application you created today,changed attributes all changed to 0 deg rotation.Have now noticed that the attrubtes have shifted place,but block remains in original place.Cannot use modify in place xref/block, object is not in working set,even though im selecting the correct block/attribute.If i do blockreplace command,it'll replace the block at the original insert scale,but the attribute will be to big.So i thought id use modatt to change the height of all the attibutes in my drawing.This changed the scale but the attributses are not in the correct place.i understand this is a free peice of software you developed and am really greatfull,but if you could determine whats going on keith itd be cool.